<template>
  <div>
    
        <div id="coberturaComparativa" class="charts" ref="coberturaComparativa"></div>
     
  </div>
</template>

<script>
import htmlToImage from "html-to-image";
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";
import am4themes_material from "@amcharts/amcharts4/themes/material";

export default {
  name: "Component-coberturaComparativa",
  props: {
    value: Number,
    valueTotal: Number,
    color: String,
    diasRest: Number
  },
  data() {
    return {
      isShowId: true
    };
  },


methods:{
initChartG(){
  // Create chart instance
var chart = am4charts.makeChart("coberturaComparativa", {
  "type": "serial",
  "addClassNames": true,
  "theme": "none",
  "autoMargins": false,
  "marginLeft": 30,
  "marginRight": 8,
  "marginTop": 10,
  "marginBottom": 26,
  "balloon": {
    "adjustBorderColor": false,
    "horizontalPadding": 10,
    "verticalPadding": 8,
    "color": "#ffffff"
  },

  "dataProvider": [ {
    "semana": "Semana 34",
    "puntosVenta": 23
  }, {
    "semana": "Semana 35",
    "puntosVenta": 26,
    }, {
    "semana": "Semana 36",
    "puntosVenta": 30,
   }, {
    "semana": "Semana 37",
    "puntosVenta": 29,
   }, {
    "semana": "Semana 38",
    "puntosVenta": 30,
     
  }, {
    "semana": "Semana 39",
    "puntosVenta": 34,
   
    "alpha": 0.2,
    "additional": "(projection)"

  } ],
  "valueAxes": [ {
    "axisAlpha": 0,
    "position": "left"
  } ],
  "startDuration": 1,
  "graphs": [ {
    "alphaField": "alpha",
    "balloonText": "<span style='font-size:12px;'>[[title]] en [[category]]:<br><span style='font-size:20px;'>[[value]]</span> [[additional]]</span>",
    "fillAlphas": 1,
    "title": "Puntos de Venta",
    "type": "column",
    "valueField": "puntosVenta",
    "dashLengthField": "dashLengthColumn",
    "fillColors": "#F3DF36 ",
    "lineColor": "#F3DF36 "
  } ],
  "categoryField": "semana",
  "categoryAxis": {
    "gridPosition": "start",
    "axisAlpha": 0,
    "tickLength": 0
  },
  
});

}
},
mounted(){
this.initChartG();
}

};
</script>
<style scoped>
#coberturaComparativa {
  width: 100%;
  height: 350px;
}

</style>